@import url('https://fonts.googleapis.com/css2?family=Rubik+Burned&display=swap');
* {
    padding: 0;
    margin: 0;
}

.body {
    background: url(./bg.jpg);
    min-height: 100vh;
    background-size: 100vw 100vh;
    background-repeat: no-repeat;
    display: flex;
    justify-content: center;
    align-items: center;
}

#snake-img {
    display: none;
}

#nam {
    position: absolute;
    top: 2px;
    right: 100px;
    font-size: 25px;
    font-weight: bold;
    font-family: 'Rubik Burned', system-ui;
}

#scoreBox {
    position: absolute;
    top: 60px;
    right: 150px;
    font-size: 39px;
    font-weight: bold;
    font-family: 'Rubik Burned', system-ui;
}

#hiscoreBox {
    position: absolute;
    top: 100px;
    right: 100px;
    font-size: 39px;
    font-weight: bold;
    font-family: 'Rubik Burned', system-ui;
}

#board {
    background: linear-gradient(rgb(143, 248, 143), rgb(249, 249, 125));
    width: 90vmin;
    height: 92vmin;
    border: 2px solid rgb(36, 0, 36);
    display: grid;
    grid-template-rows: repeat(18, 1fr);
    grid-template-columns: repeat(18, 1fr);
}

.head {
    background: linear-gradient(rgb(242, 55, 55), rgb(236, 236, 53));
    border: 2px solid purple;
    transform: scale(1.02);
    border-radius: 9px;
}

.snake {
    background-color: purple;
    border: .25vmin solid white;
    border-radius: 12px;
}

.food {
    background: linear-gradient(red, purple);
    border: .25vmin solid black;
    border-radius: 8px;
}

/* Media Quiries */

@media (min-width: 350px) and (max-width: 460px) {
    #nam {
        font-size: 20px;
    }

    #scoreBox {
        margin-top: 22px;
        margin-right: -40px;
        
    }

    #hiscoreBox {
        margin-top: 30px;
        margin-right: -40px;
    }

    .body {
        background-image: none;
        background-color: rgb(97, 222, 2);
    }
}